Skip to main content

Responses

Error Response

{
"errorCode":"4",
"errorSource":"Property scheduleSettings.repaymentInstallments may not be null",
"errorReason":"INVALID_PARAMETERS"
}

Single Resource - JSON object

{
"field": "value"
}

Collection of Resources - JSON array

[
{
"field": "value"
},
{
"field": "value"
}
]

The response to a request will contain either the JSON-formatted payload or an error response.

Error response

An error response will consist of:

FieldTypeAvailabilityContent
errorCodenumberAlways presentA unique error code. For more information, see API Responses and Error Codes.
errorSourcestringSometimes presentA human-readable message capturing unsatisfied constraints.
errorReasonstringAlways presentA human-readable message stating the general category of the failure.
note

The contents of the errorSource and ErrorResponse fields are subject to change without backwards compatibility.

=